Subject: Re: snapshot 981012 serial port problems
From: [email-masked] (Christopher G. Faylor)

19 Oct 1998 13:58:58 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Roberto Biancardi <[email-masked]> wrote:
>i'am using b19+binutils 2.9.1+winsup981012+newlib980824.  No egcs.
>I'am in trouble with serial ports.
>'comx' device names don't works anymore because of missing strcmp(,"com1") in
>hinfo.cc;
>may be this is right i don't know. But,
>'/dev/comx' devices don't work because get_native of class fhandler_serial is
>never called so
>the win32_path_name_ remains /dev/com%d.
>
>I did this simple fix just to go on, but after that it seems data from serial
>ports is not
>coming in at all. Anybody involved in similar troubles ?
>
> --- /tmp/fhandler_serial.cc     Sat Oct 17 18:11:01 1998
>+++ fhandler_serial.cc  Sat Oct 17 02:12:03 1998
>@@ -24,6 +24,10 @@
>   vmin_ = 0;
>   vtime_ = 0;
>   pgrp_ = myself->pgid;
>+#ifndef        turn_off_my_changes
>+       if ( name != NULL )
>+               set_name(name, get_native()+5);
>+#endif
> }
>
> const char *

This patch is, unfortunately, a band-aid which doesn't solve the underlying
problem.  I've made a change to the development sources which seems to do
the right thing.
-- 
[email-masked]
http://www.cygnus.com/